package com.pitchbook;

import com.grapecity.documents.excel.SaveFileFormat;
import com.grapecity.documents.excel.Workbook;
import com.grapecity.documents.excel.drawing.ImageType;
import com.grapecity.documents.excel.drawing.Placement;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;

public class Main {
    public static void main(String[] args) throws IOException {
        var workbook = new Workbook();
        var worksheet = workbook.getWorksheets().get(0);
        var shape = worksheet.getShapes().addPictureInPixel(
            Files.newInputStream(Path.of("XL.svg")),
            ImageType.SVG,
            9.0,
            9.0,
            800,
            800
        );
        shape.setPlacement(Placement.FreeFloating);

        if (!Files.exists(Path.of("file.xlsx"))) {
            Files.createFile(Path.of("file.xlsx"));
        }

        workbook.save("file.xlsx", SaveFileFormat.Xlsx);
    }
}